<?php

class fieldYandexmaps extends cmsFormField {

    public $title = LANG_FIELD_YANDEXMAPS;
    public $sql   = 'varchar(255) NULL DEFAULT NULL';
    public $filter_type = 'str';

    public function getFilterInput($value) {
        return false;
    }
    
    public function getOptions(){
        return array(
            new fieldString('center', array(
                'title' => LANG_FIELD_YANDEXMAPS_CENTER,
                'default' => '57.7801162,55.7354444'
            )),
	    new fieldString('zoom', array(
                'title' => LANG_FIELD_YANDEXMAPS_ZOOM,
		'default' => '13',
		'hint' => LANG_FIELD_YANDEXMAPS_ZOOM_HINT
            )),
	    new fieldString('zoom2', array(
                'title' => LANG_FIELD_YANDEXMAPS_ZOOM2,
		'default' => '15',
		'hint' => LANG_FIELD_YANDEXMAPS_ZOOM2_HINT
            ))
        );
    }

    public function parse($value){
	
	if(!$value) return false;
		
	$cn = $value;
	$zoom = $this->getOption('zoom2');
        $id = (!empty($this->item['id'])) ? $this->item['id'] : "";
        
        cmsTemplate::getInstance()->addJS('https://api-maps.yandex.ru/2.1/?lang=ru_RU','',false);
	
$map = <<< MAP

    <script type="text/javascript">
    ymaps.ready(init);
    var myMap, 
    myPlacemark;

    function init(){ 
        myMap = new ymaps.Map("map$id", {
            center: [$cn],
            zoom: $zoom
        }); 

        myPlacemark = new ymaps.Placemark([$cn], {});
        myMap.geoObjects.add(myPlacemark);
        
    }
    
</script>
    
<div id="map$id" class="mapdiv"></div>
<div class="maphover"></div>
<script>

$( ".maphover" ).on({
  click: function() {
    $(this).hide('fast');
  }, touch: function() {
    $(this).hide('fast');
  }
});
   
</script>
<style>
.mapdiv{width: 100%; height: 350px}
.maphover{width: 100%; height: 350px; margin-top: -350px; position: absolute; z-index: 9999;}   
</style>

MAP;


    return $map;

    }

}
